import type { GenericAbortSignal } from './GenericAbortSignal';
import type { GenericFile } from './GenericFile';
export interface DownloaderInterface {
    download: (uris: string[], options?: DownloaderOptions) => Promise<GenericFile[]>;
    downloadJson: <T>(uri: string, options?: DownloaderOptions) => Promise<T>;
}
export type DownloaderOptions = {
    signal?: GenericAbortSignal;
};
export declare class NullDownloader implements DownloaderInterface {
    private readonly error;
    download(): Promise<GenericFile[]>;
    downloadJson<T>(): Promise<T>;
}
